/*
 * 2011-2022 ESR - Not subject to Copyright.
 *
 * This document has been released and published by E-S-R consortium, a non-profit entity.
 * To learn more about E-S-R consortium, please visit http://www.e-s-r.net/.
 * The matter contained in this document is not subject to copyright; you are free to use it for any purpose, for more information see E-S-R consortium policies.
 */
package ej.bon;

/**
 * Signals that a method has been invoked at an illegal or inappropriate time.
 * In other words, the Java environment or Java application is not in an
 * appropriate state for the requested operation.
 */
public class IllegalStateException extends RuntimeException {

	/**
	 * Constructs an IllegalStateException with no detail message.
	 */
	public IllegalStateException() {
	}

	/**
	 * Constructs an IllegalStateException with the specified detail message.
	 *
	 * @param s
	 *            the String that contains a detailed message
	 */
	public IllegalStateException(String s) {
		super(s);
	}
}
