/*
 * Java
 *
 * Copyright 2015-2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.microui.event.controller;

import ej.microui.event.Event;
import ej.microui.event.generator.Pointer;
import ej.microui.util.EventHandler;

/**
 * Dispatches events by event type (defined {@link Event}) and data (event type specific).
 *
 * @since 2.0
 */
public class DispatchEventHandler
		implements EventHandler, EventGeneratorsHandler, ButtonEventHandler, CommandEventHandler, PointerEventHandler {

	/**
	 * Creates a dispatch event handler.
	 */
	public DispatchEventHandler() {
	}

	@Override
	public boolean handleEvent(int event) {
		throw new RuntimeException();
	}

	/**
	 * {@inheritDoc}
	 *
	 * @see DispatchHelper#dispatchButton(int, ButtonEventHandler)
	 */

	@Override
	public boolean handleButton(int event) {
		throw new RuntimeException();
	}

	/**
	 * {@inheritDoc}
	 * <p>
	 * Calls {@link #onCommand(int)} method passing the event data.
	 */
	@Override
	public boolean handleCommand(int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean handleKeyboard(int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean handleKeypad(int event) {
		throw new RuntimeException();
	}

	/**
	 * {@inheritDoc}
	 *
	 * @see DispatchHelper#dispatchPointer(int, PointerEventHandler)
	 */
	@Override
	public boolean handlePointer(int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onButtonPressed(int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onButtonReleased(int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onButtonClicked(int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onButtonDoubleClicked(int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onButtonRepeated(int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onCommand(int command) {
		throw new RuntimeException();
	}

	@Override
	public boolean onPointerPressed(Pointer pointer, int pointerX, int pointerY, int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onPointerReleased(Pointer pointer, int pointerX, int pointerY, int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onPointerMoved(Pointer pointer, int pointerX, int pointerY, int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onPointerDragged(Pointer pointer, int pointerX, int pointerY, int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onPointerEntered(Pointer pointer, int pointerX, int pointerY, int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onPointerExited(Pointer pointer, int pointerX, int pointerY, int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onPointerClicked(Pointer pointer, int pointerX, int pointerY, int event) {
		throw new RuntimeException();
	}

	@Override
	public boolean onPointerDoubleClicked(Pointer pointer, int pointerX, int pointerY, int event) {
		throw new RuntimeException();
	}

}
